mod debug;
mod turtle;
mod turtle_shapes;
use bevy::{prelude::*, window::close_on_esc};

use bevy_prototype_lyon::prelude::*;
use turtle::TurtlePlugin;

fn main() {
    App::new()
        .insert_resource(Msaa { samples: 4 })
        .insert_resource(ClearColor(Color::BEIGE))
        .insert_resource(WindowDescriptor {
            width: 400.0,
            height: 400.0,
            title: "Turtle Window".to_string(),
            present_mode: bevy::window::PresentMode::AutoVsync,
            ..default()
        })
        .add_plugins(DefaultPlugins)
        .add_plugin(ShapePlugin)
        .add_plugin(debug::DebugPlugin)
        .add_plugin(TurtlePlugin)
        .add_system(close_on_esc)
        .run();
}
